function F = myfunnc3(x)

%Simulation 4: Incomplete Markets, Heterogeneous Agents, 3 Assets  without Collateral%

%assets

g=1;
b=1;
h=2;
G=.2;
B=.05;
H=.2;

%utilities

delta=1;

po=.9;
pp=.5;

%endowments

e1o=20;
e2o=20;
e3o=20;
e4o=20;
e5o=20;
e6o=20;
e7o=20;
e8o=20;
e9o=20;


e1p=2000;
e2p=2000;
e3p=2000;
e4p=2000;
e5p=2000;
e6p=2000;
e7p=2000;
e8p=2000;
e9p=2000;




F=[1/(e1o-x(1)*(x(10)-1/2*g)-x(2)*(x(11)-1/2*b)-1/2*x(3)*h)*x(1)-po*delta/(e2o-x(4)*(g-x(10))-x(5)*(b-x(11))-x(6)*(x(12)-h))*x(4)-(1-po)*delta/(e3o-x(7)*(g-x(10))-x(8)*(b-x(11)))*x(7);
 1/(e1o-x(1)*(x(10)-1/2*g)-x(2)*(x(11)-1/2*b)-1/2*x(3)*h)*x(2)-po*delta/(e2o-x(4)*(g-x(10))-x(5)*(b-x(11))-x(6)*(x(12)-h))*x(5)-(1-po)*delta/(e3o-x(7)*(g-x(10))-x(8)*(b-x(11)))*x(8);
 1/(e1o-x(1)*(x(10)-1/2*g)-x(2)*(x(11)-1/2*b)-1/2*x(3)*h)*x(3)-po*delta/(e2o-x(4)*(g-x(10))-x(5)*(b-x(11))-x(6)*(x(12)-h))*x(6)-(1-po)*delta/(e3o-x(7)*(g-x(10))-x(8)*(b-x(11)))*x(9);
 1/(e1o-x(1)*(x(10)-1/2*g)-x(2)*(x(11)-1/2*b)-1/2*x(3)*h)*x(3)-po*delta/(e2o-x(4)*(g-x(10))-x(5)*(b-x(11))-x(6)*(x(12)-h))*x(6)-(1-po)*delta/(e3o-x(7)*(g-x(10))-x(8)*(b-x(11)))*x(9);
 1/(e1p-x(1)*(1/2*g-x(10))-x(2)*(1/2*b-x(11))+1/2*x(3)*h)*x(2)-pp*delta/(e2p-x(4)*(-g+x(10))-x(5)*(-b+x(11))-x(6)*(h-x(12)))*x(5)-(1-pp)*delta/(e3p-x(7)*(-g+x(10))-x(8)*(-b+x(11)))*x(8);
 1/(e2o-x(4)*(g-x(10))-x(5)*(b-x(11))-x(6)*(x(12)-h))*x(4)-po*delta/(e4o+x(12)+g+b)-(1-po)*delta/(e5o+x(12)+G*g+B*b)*G;
1/(e2o-x(4)*(g-x(10))-x(5)*(b-x(11))-x(6)*(x(12)-h))*x(5)-po*delta/(e4o+x(12)+g+b)-(1-po)*delta/(e5o+x(12)+G*g+B*b)*B;
 1/(e2o-x(4)*(g-x(10))-x(5)*(b-x(11))-x(6)*(x(12)-h))*x(6)-po*delta/(e4o+x(12)+g+b)-(1-po)*delta/(e5o+x(12)+G*g+B*b);
 1/(e2p-x(4)*(-g+x(10))-x(5)*(-b+x(11))-x(6)*(h-x(12)))*x(6)-pp*delta/(e4p+h-x(12))-(1-pp)*delta/(e5p+h-x(12));
 1/(e3o-x(7)*(g-x(10))-x(8)*(b-x(11)))*x(7)-po^2*delta/(e6o+h+g+b)-po*(1-po)*delta/(e7o+h+G*g+B*b)*G-po*(1-po)*delta/(e8o+H*h+g+b)-(1-po)^2*delta/(e9o+H*h+G*g+B*b)*G;
1/(e3o-x(7)*(g-x(10))-x(8)*(b-x(11)))*x(8)-po^2*delta/(e6o+h+g+b)-po*(1-po)*delta/(e7o+h+G*g+B*b)*B-po*(1-po)*delta/(e8o+H*h+g+b)-(1-po)^2*delta/(e9o+H*h+G*g+B*b)*B;
1/(e3o-x(7)*(g-x(10))-x(8)*(b-x(11)))*x(9)-po^2*delta/(e6o+h+g+b)-po*(1-po)*delta/(e7o+h+G*g+B*b)-po*(1-po)*delta/(e8o+H*h+g+b)*H-(1-po)^2*delta/(e9o+H*h+G*g+B*b)*H]

   


 
 

