
%Simulation 7: Incomplete Markets, Heterogeneous Agents, 3 Assets, Adverse
%Selection  with Collateral%
syms x2 x5 x8;
syms x19 x20 x21;
syms beta;
syms e1b1 e4b1  e5b1  e6b1 e7b1 e8b1 e9b1 ;
syms e2b2 e3b2 e4b2  e5b2  e6b2 e7b2 e8b2 e9b2 ;
syms B pc;
syms a1 a2 a3;


x2=x(2);
x5=x(5);
x8= x(8);

a3=1;
a2=1;
a1=1;

pc=.9;
beta=1/135;




e=20;
e1b1=0;
e4b1=e;
e5b1=e;
e6b1=e;
e7b1=e;
e8b1=e;
e9b1=e;
e2b2=0;
e3b2=0;
e4b2=e;
e5b2=e;
e6b2=e;
e7b2=e;
e8b2=e;
e9b2=e;

B=.05;

b1=1;
b2=1;
b3=.75;

f1=a1*(x2-2*beta*x2^2*x19)+pc^2*(-1+2*beta*(e4b1+1-x19))+pc*(1-pc)*(-B+2*beta*(e5b1+(1-x19)*B)*B)+(1-pc)*pc^2*(-1+2*beta*(e6b1+1-x19))+(1-pc)^2*pc*(-B+2*beta*(e7b1+(1-x19)*B)*B)+(1-pc)^2*pc*(-1+2*beta*(e8b1+1-x19))+(1-pc)^3*(-B+2*beta*(e9b1+(1-x19)*B)*B);
 
f2=a2*(x5-2*beta*x5^2*x20)+pc*(-1+2*beta*(e4b2+1-x20))+(1-pc)*(-B+2*beta*(e5b2+(1-x20)*B)*B);

f3=a3*(x8-2*beta*x8^2*x21)+pc^2*(-1+2*beta*(e6b2+1-x21))+pc*(1-pc)*(-B+2*beta*(e7b2+(1-x21)*B)*B)+pc*(1-pc)*(-1+2*beta*(e8b2+1-x21))+(1-pc)^2*(-B+2*beta*(e9b2+(1-x21)*B)*B);

z1=solve(f1);
z2=solve(f2);
z3=solve(f3);


g1=a1*(x2-2*beta*x2^2*b1)+pc^2*(-1+2*beta*(e4b1+1-b1))+pc*(1-pc)*(-B+2*beta*(e5b1+(1-b1)*B)*B)+(1-pc)*pc^2*(-1+2*beta*(e6b1+1-b1))+(1-pc)^2*pc*(-B+2*beta*(e7b1+(1-b1)*B)*B)+(1-pc)^2*pc*(-1+2*beta*(e8b1+1-b1))+(1-pc)^3*(-B+2*beta*(e9b1+(1-b1)*B)*B);
 
g2=a2*(x5-2*beta*x5^2*b2)+pc*(-1+2*beta*(e4b2+1-b2))+(1-pc)*(-B+2*beta*(e5b2+(1-b2)*B)*B);

g3=a3*(x8-2*beta*x8^2*b3)+pc^2*(-1+2*beta*(e6b2+1-b3))+pc*(1-pc)*(-B+2*beta*(e7b2+(1-b3)*B)*B)+pc*(1-pc)*(-1+2*beta*(e8b2+1-b3))+(1-pc)^2*(-B+2*beta*(e9b2+(1-b3)*B)*B);

double(z1)
double(z2)
double(z3)

g1
g2
g3
