%Simulation 7: Incomplete Markets, Heterogeneous Agents, 3 Assets, Adverse
%Selection  with Collateral%
function F = myfuna3(x)

h=2;
b1=1;
b2=1;
b3=.75;

beta=1/135;

G=.2;
B=.05;
H=.2;


delta=1;
deltac=1;

po=.9;
pp=.5;
pc=.9;

e1o=20;
e2o=20;
e3o=20;
e4o=20;
e5o=20;
e6o=20;
e7o=20;
e8o=20;
e9o=20;

e1p=2000;
e2p=2000;
e3p=2000;
e4p=2000;
e5p=2000;
e6p=2000;
e7p=2000;
e8p=2000;
e9p=2000;

e=20;
e1g1=0;
e4g1=e;
e5g1=e;
e6g1=e;
e7g1=e;
e8g1=e;
e9g1=e;

e1b1=0;
e4b1=e;
e5b1=e;
e6b1=e;
e7b1=e;
e8b1=e;
e9b1=e;

e2g2=0;
e3g2=0;
e4g2=e;
e5g2=e;
e6g2=e;
e7g2=e;
e8g2=e;
e9g2=e;

e2b2=0;
e3b2=0;
e4b2=e;
e5b2=e;
e6b2=e;
e7b2=e;
e8b2=e;
e9b2=e;



F=[1/(e1o-1/2*x(3)*h+x(10)*x(16)-x(1)*x(16)+x(11)*b1-x(2)*b1)*(x(1)-x(10))-po*delta/(e2o-x(16)*x(7)-b1*x(8)+x(4)*x(16)+x(5)*b1+3/2*x(6)*h+x(12)*(x(16)+x(17))-x(4)*(x(16)+x(17))+x(13)*(b1+b2)-x(5)*(b1+b2))*(x(4)-x(7));
1/(e1o-1/2*x(3)*h+x(10)*x(16)-x(1)*x(16)+x(11)*b1-x(2)*b1)*(x(2)-x(11))-po*delta/(e2o-x(16)*x(7)-b1*x(8)+x(4)*x(16)+x(5)*b1+3/2*x(6)*h+x(12)*(x(16)+x(17))-x(4)*(x(16)+x(17))+x(13)*(b1+b2)-x(5)*(b1+b2))*(x(5)-x(8));
 1/(e1o-1/2*x(3)*h+x(10)*x(16)-x(1)*x(16)+x(11)*b1-x(2)*b1)*x(3)-po*delta/(e2o-x(16)*x(7)-b1*x(8)+x(4)*x(16)+x(5)*b1+3/2*x(6)*h+x(12)*(x(16)+x(17))-x(4)*(x(16)+x(17))+x(13)*(b1+b2)-x(5)*(b1+b2))*x(6)-(1-po)*delta/(e3o-1/2*x(9)*h+x(14)*(x(16)+x(18))-x(7)*(x(16)+x(18))+x(15)*(b1+b3)-x(8)*(b1+b3))*x(9);
 1/(e1p+1/2*x(3)*h-x(10)*x(16)-x(11)*b1)*x(10)-pp*delta/(e2p+x(16)*x(7)+b1*x(8)-3/2*x(6)*h-x(12)*(x(16)+x(17))-x(13)*(b1+b2))*x(7)-(1-pp)*delta/(e3p+x(16)*x(7)+b1*x(8)+1/2*x(9)*h-x(14)*(x(16)+x(18))-x(15)*(b1+b3))*x(7);
1/(e1p+1/2*x(3)*h-x(10)*x(16)-x(11)*b1)*x(11)-pp*delta/(e2p+x(16)*x(7)+b1*x(8)-3/2*x(6)*h-x(12)*(x(16)+x(17))-x(13)*(b1+b2))*x(8)-(1-pp)*delta/(e3p+x(16)*x(7)+b1*x(8)+1/2*x(9)*h-x(14)*(x(16)+x(18))-x(15)*(b1+b3))*x(8);
 1/(e2o-x(16)*x(7)-b1*x(8)+x(4)*x(16)+x(5)*b1+3/2*x(6)*h+x(12)*(x(16)+x(17))-x(4)*(x(16)+x(17))+x(13)*(b1+b2)-x(5)*(b1+b2))*(x(4)-x(12))-po*delta/(e4o-(x(16)+x(17))*G-(b1+b2)*B+x(16)+x(17)+b1+b2)*(1-G);
 1/(e2o-x(16)*x(7)-b1*x(8)+x(4)*x(16)+x(5)*b1+3/2*x(6)*h+x(12)*(x(16)+x(17))-x(4)*(x(16)+x(17))+x(13)*(b1+b2)-x(5)*(b1+b2))*(x(5)-x(13))-po*delta/(e4o-(x(16)+x(17))*G-(b1+b2)*B+x(16)+x(17)+b1+b2)*(1-B);
 1/(e2p+x(16)*x(7)+b1*x(8)-3/2*x(6)*h-x(12)*(x(16)+x(17))-x(13)*(b1+b2))*x(6)-pp*delta/(e4p+(x(16)+x(17))*G+(b1+b2)*B+2*h)-(1-pp)*delta/(e5p+(x(16)+x(17))*G+(b1+b2)*B+2*h);
 1/(e2p+x(16)*x(7)+b1*x(8)-3/2*x(6)*h-x(12)*(x(16)+x(17))-x(13)*(b1+b2))*x(12)-pp*delta/(e4p+(x(16)+x(17))*G+(b1+b2)*B+2*h)*G-(1-pp)*delta/(e5p+(x(16)+x(17))*G+(b1+b2)*B+2*h)*G;
 1/(e2p+x(16)*x(7)+b1*x(8)-3/2*x(6)*h-x(12)*(x(16)+x(17))-x(13)*(b1+b2))*x(13)-pp*delta/(e4p+(x(16)+x(17))*G+(b1+b2)*B+2*h)*B-(1-pp)*delta/(e5p+(x(16)+x(17))*G+(b1+b2)*B+2*h)*B;
1/(e3o-1/2*x(9)*h+x(14)*(x(16)+x(18))-x(7)*(x(16)+x(18))+x(15)*(b1+b3)-x(8)*(b1+b3))*(x(7)-x(14))-po^2*delta/(e6o-(x(16)+x(18))*G-(b1+b3)*B+2*h+x(16)+x(18)+b1+b3)*(1-G)-po*(1-po)*delta/(e8o-(x(16)+x(18))*G-(b1+b3)*B+2*H*h+x(16)+x(18)+b1+b3)*(1-G);
1/(e3o-1/2*x(9)*h+x(14)*(x(16)+x(18))-x(7)*(x(16)+x(18))+x(15)*(b1+b3)-x(8)*(b1+b3))*(x(8)-x(15))-po^2*delta/(e6o-(x(16)+x(18))*G-(b1+b3)*B+2*h+x(16)+x(18)+b1+b3)*(1-B)-po*(1-po)*delta/(e8o-(x(16)+x(18))*G-(b1+b3)*B+2*H*h+x(16)+x(18)+b1+b3)*(1-B); 
 1/(e3o-1/2*x(9)*h+x(14)*(x(16)+x(18))-x(7)*(x(16)+x(18))+x(15)*(b1+b3)-x(8)*(b1+b3))*x(9)-po^2*delta/(e6o-(x(16)+x(18))*G-(b1+b3)*B+2*h+x(16)+x(18)+b1+b3)-po*(1-po)*delta/(e7o+2*h)-po*(1-po)*delta/(e8o-(x(16)+x(18))*G-(b1+b3)*B+2*H*h+x(16)+x(18)+b1+b3)*H-(1-po)^2*delta/(e9o+2*H*h)*H;
 1/(e3p+x(16)*x(7)+b1*x(8)+1/2*x(9)*h-x(14)*(x(16)+x(18))-x(15)*(b1+b3))*x(14)-pp^2*delta/(e6p+(x(16)+x(18))*G+(b1+b3)*B)*G-pp*(1-pp)*delta/(e7p+(x(16)+x(18))*G+(b1+b3)*B)*G-pp*(1-pp)*delta/(e8p+(x(16)+x(18))*G+(b1+b3)*B)*G-(1-pp)^2*delta/(e9p+(x(16)+x(18))*G+(b1+b3)*B)*G;
 1/(e3p+x(16)*x(7)+b1*x(8)+1/2*x(9)*h-x(14)*(x(16)+x(18))-x(15)*(b1+b3))*x(15)-pp^2*delta/(e6p+(x(16)+x(18))*G+(b1+b3)*B)*B-pp*(1-pp)*delta/(e7p+(x(16)+x(18))*G+(b1+b3)*B)*B-pp*(1-pp)*delta/(e8p+(x(16)+x(18))*G+(b1+b3)*B)*B-(1-pp)^2*delta/(e9p+(x(16)+x(18))*G+(b1+b3)*B)*B;
 x(2)*b1-beta*(e1b1+x(2)*b1)^2+po^2*(e4b1+1-b1-beta*(e4b1+1-b1)^2)+po*(1-po)*(e5b1+B*(1-b1)-beta*(e5b1+B*(1-b1))^2)+po^2*(1-po)*(e6b1+1-b1-beta*(e6b1+1-b1)^2)+po*(1-po)^2*(e7b1+B*(1-b1)-beta*(e7b1+B*(1-b1))^2)+po*(1-po)^2*(e8b1+1-b1-beta*(e8b1+1-b1)^2)+(1-po)^3*(e9b1+B*(1-b1)-beta*(e9b1+B*(1-b1))^2)-x(1)*x(16)+beta*(e1b1+x(1)*x(16))^2-po^2*(e4b1+1-x(16)-beta*(e4b1+1-x(16))^2)-po*(1-po)*(e5b1+B*(1-x(16))-beta*(e5b1+B*(1-x(16)))^2)-po^2*(1-po)*(e6b1+1-x(16)-beta*(e6b1+1-x(16))^2)-po*(1-po)^2*(e7b1+B*(1-x(16))-beta*(e7b1+B*(1-x(16)))^2)-po*(1-po)^2*(e8b1+1-x(16)-beta*(e8b1+1-x(16))^2)-(1-po)^3*(e9b1+B*(1-x(16))-beta*(e9b1+B*(1-x(16)))^2);
 x(5)*b2-beta*(e2b2+x(5)*b2)^2+po*(e4b2+1-b2-beta*(e4b2+1-b2)^2)+(1-po)*(e5b2+B*(1-b2)-beta*(e5b2+B*(1-b2))^2)-x(4)*x(17)+beta*(e2b2+x(4)*x(17))^2-po*(e4b2+1-x(17)-beta*(e4b2+1-x(17))^2)-(1-po)*(e5b2+B*(1-x(17))-beta*(e5b2+B*(1-x(17)))^2);
 x(8)*b3-beta*(e3b2+x(8)*b3)^2+po^2*(e6b2+1-b3-beta*(e6b2+1-b3)^2)+po*(1-po)*(e7b2+B*(1-b3)-beta*(e7b2+B*(1-b3))^2)+po*(1-po)*(e8b2+1-b3-beta*(e8b2+1-b3)^2)+(1-po)^2*(e9b2+B*(1-b3)-beta*(e9b2+B*(1-b3))^2)-x(7)*x(18)+beta*(e3b2+x(7)*x(18))^2-po^2*(e6b2+1-x(18)-beta*(e6b2+1-x(18))^2)-po*(1-po)*(e7b2+B*(1-x(18))-beta*(e7b2+B*(1-x(18)))^2)-po*(1-po)*(e8b2+1-x(18)-beta*(e8b2+1-x(18))^2)-(1-po)^2*(e9b2+B*(1-x(18))-beta*(e9b2+B*(1-x(18)))^2)]











 

 




 
