clear all

%Simulation 1: Representative Agent%

%parameters

syms E H e h; 
syms e1o e2o e3o e4o  e5o e6o e7o e8o e9o ;
syms po  ;
syms delta;

% variables

syms x1o x2o x3o  x4o x5o x6o x7o  x8o  x9o ;
syms E1o E2o E3o  H1o H2o H3o ;



syms x1 x2 x3 x4 x5 x6 ;


%values parameters
e=2;
h=2;
E=.1;
H=.2;


delta=1;

po=.5;


e1o=2020;
e2o=2020;
e3o=2020;
e4o=2020;
e5o=2020;
e6o=2020;
e7o=2020;
e8o=2020;
e9o=2020;


% values variables

E1o=e;
E2o=e;
E3o=e;
H1o=h;
H2o=h;
H3o=h;


%equations




%Budget Constraints Optimist


x1o=  e1o - x1*(E1o-e) - x2*(H1o-h) ;
 x2o=  e2o - x3*(E2o - (E1o)) - x4*( H2o- H1o)   ;
 x3o = e3o - x5*(E3o-(E1o)) - x6*(H3o-H1o) ;
 
 x4o=  e4o + H2o  + E2o ;
 x5o=e5o + H2o  + E*(E2o );
 x6o=e6o+ H3o  + E3o ;

 x7o=e7o+ H3o  + E*(E3o );
 x8o=e8o + H*H3o  + E3o;
 x9o=e9o + H*H3o  + E*(E3o );


 
 




%FOC

%s=1

f1= (1/x1o)*(x1) - po*delta*(1/x2o)*(x3) - (1-po)*delta*(1/x3o)*(x5);
f2= (1/x1o)*(x2) - po*delta*(1/x2o)*(x4) - (1-po)*delta*(1/x3o)*(x6);


%s=2

f3= (1/x2o)*(x3) - po*delta*(1/x4o)*(1) - (1-po)*delta*(1/x5o)*(E);
f4= (1/x2o)*(x4) - po*delta*(1/x4o) - (1-po)*delta*(1/x5o);



%s=3

f5= (1/x3o)*(x5) - po*po*delta*(1/x6o)*(1) - po*(1-po)*delta*(1/x7o)*(E)- po*(1-po)*delta*(1/x8o)*(1)- (1-po)*(1-po)*delta*(1/x9o)*(E);
f6= (1/x3o)*(x6) - po*po*delta*(1/x6o)*(1) - po*(1-po)*delta*(1/x7o)*(1)- po*(1-po)*delta*(1/x8o)*(H)- (1-po)*(1-po)*delta*(1/x9o)*(H);




sol=solve(f1,f2,f3,f4,f5,f6)


% solution prices

S.x1=double(sol.x1);
S.x2=double(sol.x2);
S.x3=double(sol.x3);
S.x4=double(sol.x4);
S.x5=double(sol.x5);
S.x6=double(sol.x6);

C.x1o=x1o;
C.x2o=x2o;
C.x3o=x3o;
C.x4o=x4o;
C.x5o=x5o;
C.x6o=x6o;
C.x7o=x7o;
C.x8o=x8o;
C.x9o=x9o;


S
CE= (S.x3-S.x5)/S.x3*100
FE= (S.x1-S.x5)/S.x5*100
CH= (S.x4-S.x6)/S.x4*100
FH= (S.x2-S.x6)/S.x2*100

x1o=  e1o - S.x1*(E1o-e) - S.x2*(H1o-h) ;
 x2o=  e2o - S.x3*(E2o - (E1o)) - S.x4*( H2o- H1o)   ;
 x3o = e3o - S.x5*(E3o-(E1o)) - S.x6*(H3o-H1o) ;
 
 x4o=  e4o + H2o  + E2o ;
 x5o=e5o + H2o  + E*(E2o );
 x6o=e6o+ H3o  + E3o ;

 x7o=e7o+ H3o  + E*(E3o );
 x8o=e8o + H*H3o  + E3o;
 x9o=e9o + H*H3o  + E*(E3o );



mu2= (po*(1/x2o))/(po*(1/x2o) + (1-po)*(1/x3o));
mu3=((1-po)*(1/x3o))/(po*(1/x2o) + (1-po)*(1/x3o));
mu4= (po*(1/x4o))/(po*(1/x4o) + (1-po)*(1/x5o));
mu5= ((1-po)*(1/x5o))/(po*(1/x4o) + (1-po)*(1/x5o));
mu6= (po*po*(1/x6o))/ (po*po*(1/x6o)+ po*(1-po)*(1/x7o)+ po*(1-po)*(1/x8o)+ (1-po)*(1-po)*(1/x9o));
mu7= (po*(1-po)*(1/x7o))/ (po*po*(1/x6o)+ po*(1-po)*(1/x7o)+ po*(1-po)*(1/x8o)+ (1-po)*(1-po)*(1/x9o));
mu8= (po*(1-po)*(1/x8o))/ (po*po*(1/x6o)+ po*(1-po)*(1/x7o)+ po*(1-po)*(1/x8o)+ (1-po)*(1-po)*(1/x9o));
mu9= ((1-po)*(1-po)*(1/x9o))/ (po*po*(1/x6o)+ po*(1-po)*(1/x7o)+ po*(1-po)*(1/x8o)+ (1-po)*(1-po)*(1/x9o));

mu2
mu3
mu4
mu5
mu6
mu7
mu8
mu9
